// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		D002246124E52DE5000BA9FD /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = D002246024E52DE5000BA9FD /* AppDelegate.swift */; };
		D002246324E52DE5000BA9FD /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = D002246224E52DE5000BA9FD /* SceneDelegate.swift */; };
		D002246524E52DE5000BA9FD /* ContentView.swift in Sources */ = {isa = PBXBuildFile; fileRef = D002246424E52DE5000BA9FD /* ContentView.swift */; };
		D002246724E52DE8000BA9FD /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = D002246624E52DE8000BA9FD /* Assets.xcassets */; };
		D002246A24E52DE8000BA9FD /* Preview Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = D002246924E52DE8000BA9FD /* Preview Assets.xcassets */; };
		D002246D24E52DE8000BA9FD /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = D002246B24E52DE8000BA9FD /* LaunchScreen.storyboard */; };
		D002247824E52DE9000BA9FD /* BooksToReadTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = D002247724E52DE9000BA9FD /* BooksToReadTests.swift */; };
		D002248324E52DE9000BA9FD /* BooksToReadUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = D002248224E52DE9000BA9FD /* BooksToReadUITests.swift */; };
		D002249124E53817000BA9FD /* BookApiService.swift in Sources */ = {isa = PBXBuildFile; fileRef = D002249024E53817000BA9FD /* BookApiService.swift */; };
		D002249324E53837000BA9FD /* BookModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = D002249224E53837000BA9FD /* BookModel.swift */; };
		D002249724E538D4000BA9FD /* ViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = D002249624E538D4000BA9FD /* ViewModel.swift */; };
		D0CF789B24E5528100F0D5C8 /* URLSessionExtention.swift in Sources */ = {isa = PBXBuildFile; fileRef = D0CF789A24E5528100F0D5C8 /* URLSessionExtention.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		D002247424E52DE9000BA9FD /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = D002245524E52DE5000BA9FD /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = D002245C24E52DE5000BA9FD;
			remoteInfo = BooksToRead;
		};
		D002247F24E52DE9000BA9FD /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = D002245524E52DE5000BA9FD /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = D002245C24E52DE5000BA9FD;
			remoteInfo = BooksToRead;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		D002245D24E52DE5000BA9FD /* BooksToRead.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = BooksToRead.app; sourceTree = BUILT_PRODUCTS_DIR; };
		D002246024E52DE5000BA9FD /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		D002246224E52DE5000BA9FD /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		D002246424E52DE5000BA9FD /* ContentView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ContentView.swift; sourceTree = "<group>"; };
		D002246624E52DE8000BA9FD /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		D002246924E52DE8000BA9FD /* Preview Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = "Preview Assets.xcassets"; sourceTree = "<group>"; };
		D002246C24E52DE8000BA9FD /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		D002246E24E52DE8000BA9FD /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		D002247324E52DE9000BA9FD /* BooksToReadTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = BooksToReadTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		D002247724E52DE9000BA9FD /* BooksToReadTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BooksToReadTests.swift; sourceTree = "<group>"; };
		D002247924E52DE9000BA9FD /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		D002247E24E52DE9000BA9FD /* BooksToReadUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = BooksToReadUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		D002248224E52DE9000BA9FD /* BooksToReadUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BooksToReadUITests.swift; sourceTree = "<group>"; };
		D002248424E52DE9000BA9FD /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		D002249024E53817000BA9FD /* BookApiService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BookApiService.swift; sourceTree = "<group>"; };
		D002249224E53837000BA9FD /* BookModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BookModel.swift; sourceTree = "<group>"; };
		D002249624E538D4000BA9FD /* ViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewModel.swift; sourceTree = "<group>"; };
		D0CF789A24E5528100F0D5C8 /* URLSessionExtention.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = URLSessionExtention.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		D002245A24E52DE5000BA9FD /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D002247024E52DE9000BA9FD /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D002247B24E52DE9000BA9FD /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		D002245424E52DE5000BA9FD = {
			isa = PBXGroup;
			children = (
				D002245F24E52DE5000BA9FD /* BooksToRead */,
				D002247624E52DE9000BA9FD /* BooksToReadTests */,
				D002248124E52DE9000BA9FD /* BooksToReadUITests */,
				D002245E24E52DE5000BA9FD /* Products */,
			);
			sourceTree = "<group>";
		};
		D002245E24E52DE5000BA9FD /* Products */ = {
			isa = PBXGroup;
			children = (
				D002245D24E52DE5000BA9FD /* BooksToRead.app */,
				D002247324E52DE9000BA9FD /* BooksToReadTests.xctest */,
				D002247E24E52DE9000BA9FD /* BooksToReadUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		D002245F24E52DE5000BA9FD /* BooksToRead */ = {
			isa = PBXGroup;
			children = (
				D002249824E53AE2000BA9FD /* Presentation */,
				D002249924E53AF3000BA9FD /* Data */,
				D002249A24E53B07000BA9FD /* Service */,
				D002246024E52DE5000BA9FD /* AppDelegate.swift */,
				D002246224E52DE5000BA9FD /* SceneDelegate.swift */,
				D002246624E52DE8000BA9FD /* Assets.xcassets */,
				D002246B24E52DE8000BA9FD /* LaunchScreen.storyboard */,
				D002246E24E52DE8000BA9FD /* Info.plist */,
				D002246824E52DE8000BA9FD /* Preview Content */,
			);
			path = BooksToRead;
			sourceTree = "<group>";
		};
		D002246824E52DE8000BA9FD /* Preview Content */ = {
			isa = PBXGroup;
			children = (
				D002246924E52DE8000BA9FD /* Preview Assets.xcassets */,
			);
			path = "Preview Content";
			sourceTree = "<group>";
		};
		D002247624E52DE9000BA9FD /* BooksToReadTests */ = {
			isa = PBXGroup;
			children = (
				D002247724E52DE9000BA9FD /* BooksToReadTests.swift */,
				D002247924E52DE9000BA9FD /* Info.plist */,
			);
			path = BooksToReadTests;
			sourceTree = "<group>";
		};
		D002248124E52DE9000BA9FD /* BooksToReadUITests */ = {
			isa = PBXGroup;
			children = (
				D002248224E52DE9000BA9FD /* BooksToReadUITests.swift */,
				D002248424E52DE9000BA9FD /* Info.plist */,
			);
			path = BooksToReadUITests;
			sourceTree = "<group>";
		};
		D002249824E53AE2000BA9FD /* Presentation */ = {
			isa = PBXGroup;
			children = (
				D002246424E52DE5000BA9FD /* ContentView.swift */,
				D002249624E538D4000BA9FD /* ViewModel.swift */,
			);
			path = Presentation;
			sourceTree = "<group>";
		};
		D002249924E53AF3000BA9FD /* Data */ = {
			isa = PBXGroup;
			children = (
				D002249224E53837000BA9FD /* BookModel.swift */,
			);
			path = Data;
			sourceTree = "<group>";
		};
		D002249A24E53B07000BA9FD /* Service */ = {
			isa = PBXGroup;
			children = (
				D0CF789A24E5528100F0D5C8 /* URLSessionExtention.swift */,
				D002249024E53817000BA9FD /* BookApiService.swift */,
			);
			path = Service;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		D002245C24E52DE5000BA9FD /* BooksToRead */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = D002248724E52DE9000BA9FD /* Build configuration list for PBXNativeTarget "BooksToRead" */;
			buildPhases = (
				D002245924E52DE5000BA9FD /* Sources */,
				D002245A24E52DE5000BA9FD /* Frameworks */,
				D002245B24E52DE5000BA9FD /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = BooksToRead;
			productName = BooksToRead;
			productReference = D002245D24E52DE5000BA9FD /* BooksToRead.app */;
			productType = "com.apple.product-type.application";
		};
		D002247224E52DE9000BA9FD /* BooksToReadTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = D002248A24E52DE9000BA9FD /* Build configuration list for PBXNativeTarget "BooksToReadTests" */;
			buildPhases = (
				D002246F24E52DE9000BA9FD /* Sources */,
				D002247024E52DE9000BA9FD /* Frameworks */,
				D002247124E52DE9000BA9FD /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				D002247524E52DE9000BA9FD /* PBXTargetDependency */,
			);
			name = BooksToReadTests;
			productName = BooksToReadTests;
			productReference = D002247324E52DE9000BA9FD /* BooksToReadTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		D002247D24E52DE9000BA9FD /* BooksToReadUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = D002248D24E52DE9000BA9FD /* Build configuration list for PBXNativeTarget "BooksToReadUITests" */;
			buildPhases = (
				D002247A24E52DE9000BA9FD /* Sources */,
				D002247B24E52DE9000BA9FD /* Frameworks */,
				D002247C24E52DE9000BA9FD /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				D002248024E52DE9000BA9FD /* PBXTargetDependency */,
			);
			name = BooksToReadUITests;
			productName = BooksToReadUITests;
			productReference = D002247E24E52DE9000BA9FD /* BooksToReadUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		D002245524E52DE5000BA9FD /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1140;
				LastUpgradeCheck = 1140;
				ORGANIZATIONNAME = "Mohamed Ben Hajla";
				TargetAttributes = {
					D002245C24E52DE5000BA9FD = {
						CreatedOnToolsVersion = 11.4;
					};
					D002247224E52DE9000BA9FD = {
						CreatedOnToolsVersion = 11.4;
						TestTargetID = D002245C24E52DE5000BA9FD;
					};
					D002247D24E52DE9000BA9FD = {
						CreatedOnToolsVersion = 11.4;
						TestTargetID = D002245C24E52DE5000BA9FD;
					};
				};
			};
			buildConfigurationList = D002245824E52DE5000BA9FD /* Build configuration list for PBXProject "BooksToRead" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = D002245424E52DE5000BA9FD;
			productRefGroup = D002245E24E52DE5000BA9FD /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				D002245C24E52DE5000BA9FD /* BooksToRead */,
				D002247224E52DE9000BA9FD /* BooksToReadTests */,
				D002247D24E52DE9000BA9FD /* BooksToReadUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		D002245B24E52DE5000BA9FD /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				D002246D24E52DE8000BA9FD /* LaunchScreen.storyboard in Resources */,
				D002246A24E52DE8000BA9FD /* Preview Assets.xcassets in Resources */,
				D002246724E52DE8000BA9FD /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D002247124E52DE9000BA9FD /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D002247C24E52DE9000BA9FD /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		D002245924E52DE5000BA9FD /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				D002249324E53837000BA9FD /* BookModel.swift in Sources */,
				D0CF789B24E5528100F0D5C8 /* URLSessionExtention.swift in Sources */,
				D002246124E52DE5000BA9FD /* AppDelegate.swift in Sources */,
				D002249124E53817000BA9FD /* BookApiService.swift in Sources */,
				D002246324E52DE5000BA9FD /* SceneDelegate.swift in Sources */,
				D002246524E52DE5000BA9FD /* ContentView.swift in Sources */,
				D002249724E538D4000BA9FD /* ViewModel.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D002246F24E52DE9000BA9FD /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				D002247824E52DE9000BA9FD /* BooksToReadTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D002247A24E52DE9000BA9FD /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				D002248324E52DE9000BA9FD /* BooksToReadUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		D002247524E52DE9000BA9FD /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = D002245C24E52DE5000BA9FD /* BooksToRead */;
			targetProxy = D002247424E52DE9000BA9FD /* PBXContainerItemProxy */;
		};
		D002248024E52DE9000BA9FD /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = D002245C24E52DE5000BA9FD /* BooksToRead */;
			targetProxy = D002247F24E52DE9000BA9FD /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		D002246B24E52DE8000BA9FD /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				D002246C24E52DE8000BA9FD /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		D002248524E52DE9000BA9FD /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		D002248624E52DE9000BA9FD /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		D002248824E52DE9000BA9FD /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_ASSET_PATHS = "\"BooksToRead/Preview Content\"";
				DEVELOPMENT_TEAM = VQ5XD7Z3HS;
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = BooksToRead/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = io.sunnyside.BooksToRead;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Debug;
		};
		D002248924E52DE9000BA9FD /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_ASSET_PATHS = "\"BooksToRead/Preview Content\"";
				DEVELOPMENT_TEAM = VQ5XD7Z3HS;
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = BooksToRead/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = io.sunnyside.BooksToRead;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Release;
		};
		D002248B24E52DE9000BA9FD /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = VQ5XD7Z3HS;
				INFOPLIST_FILE = BooksToReadTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = io.sunnyside.BooksToReadTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/BooksToRead.app/BooksToRead";
			};
			name = Debug;
		};
		D002248C24E52DE9000BA9FD /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = VQ5XD7Z3HS;
				INFOPLIST_FILE = BooksToReadTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = io.sunnyside.BooksToReadTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/BooksToRead.app/BooksToRead";
			};
			name = Release;
		};
		D002248E24E52DE9000BA9FD /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = VQ5XD7Z3HS;
				INFOPLIST_FILE = BooksToReadUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = io.sunnyside.BooksToReadUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = BooksToRead;
			};
			name = Debug;
		};
		D002248F24E52DE9000BA9FD /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = VQ5XD7Z3HS;
				INFOPLIST_FILE = BooksToReadUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = io.sunnyside.BooksToReadUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = BooksToRead;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		D002245824E52DE5000BA9FD /* Build configuration list for PBXProject "BooksToRead" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				D002248524E52DE9000BA9FD /* Debug */,
				D002248624E52DE9000BA9FD /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		D002248724E52DE9000BA9FD /* Build configuration list for PBXNativeTarget "BooksToRead" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				D002248824E52DE9000BA9FD /* Debug */,
				D002248924E52DE9000BA9FD /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		D002248A24E52DE9000BA9FD /* Build configuration list for PBXNativeTarget "BooksToReadTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				D002248B24E52DE9000BA9FD /* Debug */,
				D002248C24E52DE9000BA9FD /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		D002248D24E52DE9000BA9FD /* Build configuration list for PBXNativeTarget "BooksToReadUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				D002248E24E52DE9000BA9FD /* Debug */,
				D002248F24E52DE9000BA9FD /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = D002245524E52DE5000BA9FD /* Project object */;
}
